/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumLogicvalidreason;
import de.ship.db.tables.VDmLogic;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDmLogicRecord extends TableRecordImpl<VDmLogicRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dm_logic.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.logictype_descr</code>.
     */
    public void setLogictypeDescr(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.logictype_descr</code>.
     */
    public String getLogictypeDescr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.varname</code>.
     */
    public void setVarname(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.varname</code>.
     */
    public String getVarname() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.condition</code>.
     */
    public void setCondition(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.condition</code>.
     */
    public String getCondition() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.variable_stage</code>.
     */
    public void setVariableStage(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.variable_stage</code>.
     */
    public Integer getVariableStage() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.varname_dn</code>.
     */
    public void setVarnameDn(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.varname_dn</code>.
     */
    public String getVarnameDn() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.condition_dn</code>.
     */
    public void setConditionDn(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.condition_dn</code>.
     */
    public String getConditionDn() {
        return (String) get(6);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.valid_from</code>.
     */
    public void setValidFrom(LocalDateTime value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.valid_from</code>.
     */
    public LocalDateTime getValidFrom() {
        return (LocalDateTime) get(7);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.valid_until</code>.
     */
    public void setValidUntil(LocalDateTime value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.valid_until</code>.
     */
    public LocalDateTime getValidUntil() {
        return (LocalDateTime) get(8);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.active</code>.
     */
    public void setActive(Boolean value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.active</code>.
     */
    public Boolean getActive() {
        return (Boolean) get(9);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.valid_reason</code>.
     */
    public void setValidReason(EnumLogicvalidreason value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.valid_reason</code>.
     */
    public EnumLogicvalidreason getValidReason() {
        return (EnumLogicvalidreason) get(10);
    }

    /**
     * Setter for <code>common_dd.v_dm_logic.valid_comment</code>.
     */
    public void setValidComment(String value) {
        set(11, value);
    }

    /**
     * Getter for <code>common_dd.v_dm_logic.valid_comment</code>.
     */
    public String getValidComment() {
        return (String) get(11);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDmLogicRecord
     */
    public VDmLogicRecord() {
        super(VDmLogic.V_DM_LOGIC);
    }

    /**
     * Create a detached, initialised VDmLogicRecord
     */
    public VDmLogicRecord(Integer keyElement, String logictypeDescr, String varname, String condition, Integer variableStage, String varnameDn, String conditionDn, LocalDateTime validFrom, LocalDateTime validUntil, Boolean active, EnumLogicvalidreason validReason, String validComment) {
        super(VDmLogic.V_DM_LOGIC);

        setKeyElement(keyElement);
        setLogictypeDescr(logictypeDescr);
        setVarname(varname);
        setCondition(condition);
        setVariableStage(variableStage);
        setVarnameDn(varnameDn);
        setConditionDn(conditionDn);
        setValidFrom(validFrom);
        setValidUntil(validUntil);
        setActive(active);
        setValidReason(validReason);
        setValidComment(validComment);
        resetChangedOnNotNull();
    }
}
